## org.flexdock.perspective.persist
Class DefaultFilePersister

    java.lang.Object
      org.flexdock.perspective.persist.DefaultFilePersister

All Implemented Interfaces:
  Persister

    public class DefaultFilePersister

extends java.lang.Object
implements Persister

Author:
  Christopher Butler

Constructor Summary
`DefaultFilePersister()`

Method Summary
`PerspectiveModel` `load(java.io.InputStream in)` Deserializes `PerspectiveInfo` from the supplied data stream.
`boolean` `store(java.io.OutputStream out, PerspectiveModel info)` Serializes `PerspectiveInfo` to the supplied data stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultFilePersister

    public DefaultFilePersister()

Method Detail

### load

    public PerspectiveModel load(java.io.InputStream in)
                          throws java.io.IOException,
                                 PersistenceException

  Description copied from interface: `Persister`
  Deserializes `PerspectiveInfo` from the supplied data stream.

  Specified by:
    `load` in interface `Persister`
  Parameters:
    `in` - `InputStream` to load perspectiveInfo from.
  Returns:
    `true` when there was no problem with persisting the perspectiveInfo object.
  Throws:
    `java.io.IOException` - in case of input/output problem.
    `PersistenceException`

### store

    public boolean store(java.io.OutputStream out,
                         PerspectiveModel info)
                  throws java.io.IOException

  Description copied from interface: `Persister`
  Serializes `PerspectiveInfo` to the supplied data stream.

  Specified by:
    `store` in interface `Persister`
  Parameters:
    `out` - `OutputStream` to persist perspectiveInfo to.
    `info` - data object to be persisted
  Returns:
    `true` when there was no problem with persisting the perspectiveInfo object.
  Throws:
    `java.io.IOException` - in case of input/output problem.